Package org.apache.sysds.runtime.iogen

## Class GenerateReader

- java.lang.Object
- - org.apache.sysds.runtime.iogen.GenerateReader

Direct Known Subclasses:
  `GenerateReader.GenerateReaderFrame`, `GenerateReader.GenerateReaderMatrix`

    public abstract class GenerateReader
    extends Object

### Nested Class Summary

Nested Classes
`static class` `GenerateReader.GenerateReaderFrame`
`static class` `GenerateReader.GenerateReaderMatrix`

### Constructor Summary

Constructors
`GenerateReader​(SampleProperties sampleProperties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CustomProperties` `getProperties()`
`String` `getRandomClassName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenerateReader

    public GenerateReader​(SampleProperties sampleProperties)
                   throws Exception

Throws:
  `Exception`

### Method Detail

#### getRandomClassName

    public String getRandomClassName()

#### getProperties

    public CustomProperties getProperties()